<?php get_header(); ?>
    <div class="cf"></div>
    <section class="testimonials whitebg-testimonials cf">
        <div class="center cf">
            <h2 class="boxtitle">
                <?php _e('TESTIMONIALS','aletheme'); ?>
            </h2>

            <div class="testimonials-slider cf">
                <?php
                global $query_string;
                query_posts($query_string.'&post_type=testimonials&posts_per_page=-1');
                if (have_posts()) : while (have_posts()) : the_post(); ?>
                    <div class="col-4">
                        <div class="testimonial-item">
                            <img src="<?php echo ale_get_meta('testimonialphoto'); ?>" width="56" height="56" alt="<?php the_title(); ?>"/>
                            <h3><?php the_title(); ?> <span>|</span> <span><?php echo get_the_date(); ?></span></h3>
                            <div class="line"></div>
                            <p>
                                <?php echo ale_get_meta('testimonialshort'); ?>
                            </p>
                        </div>
                    </div>
                <?php endwhile; else: ale_part('notfound'); endif; ?>
            </div>
        </div>
    </section>
<?php get_footer(); ?>