<?php
/*
* Template name: Home Parallax
* */

if (isset($_POST['contact'])) {
    $error = ale_send_contact($_POST['contact']);
}

get_header(); ?>

<?php if(ale_get_meta('aboutonhome')!=='off'){ ?>
    <section class="about">
        <div class="center">
            <h2 class="boxtitle"><?php echo ale_get_meta('aboutustit'); ?></h2>
            <p class="text">
                <?php echo ale_get_meta('aboutusdesc'); ?>
            </p>

            <div class="items cf">
                <!-- ## ## ## -->
                <div class="col-4">
                    <?php if(ale_get_meta('aboutic1')){ if(ale_get_meta('aboutlink1')){ echo '<a href="'.ale_get_meta('aboutlink1').'">'; } ?><img src="<?php echo ale_get_meta('aboutic1'); ?>" alt="<?php echo ale_get_meta('abouttit1'); ?>"/><?php if(ale_get_meta('aboutlink1')){ echo '</a>'; } } ?>
                    <h3><?php echo ale_get_meta('abouttit1'); ?></h3>
                    <p>
                        <?php echo ale_get_meta('aboutdesc1'); ?>
                    </p>
                </div>
                <!-- ## ## ## -->
                <div class="col-4">
                    <?php if(ale_get_meta('aboutic2')){ if(ale_get_meta('aboutlink2')){ echo '<a href="'.ale_get_meta('aboutlink2').'">'; } ?><img src="<?php echo ale_get_meta('aboutic2'); ?>" alt="<?php echo ale_get_meta('abouttit2'); ?>"/><?php if(ale_get_meta('aboutlink2')){ echo '</a>'; } } ?>
                    <h3><?php echo ale_get_meta('abouttit2'); ?></h3>
                    <p>
                        <?php echo ale_get_meta('aboutdesc2'); ?>
                    </p>
                </div>
                <!-- ## ## ## -->
                <div class="col-4">
                    <?php if(ale_get_meta('aboutic3')){ if(ale_get_meta('aboutlink3')){ echo '<a href="'.ale_get_meta('aboutlink3').'">'; } ?><img src="<?php echo ale_get_meta('aboutic3'); ?>" alt="<?php echo ale_get_meta('abouttit3'); ?>"/><?php if(ale_get_meta('aboutlink3')){ echo '</a>'; } } ?>
                    <h3><?php echo ale_get_meta('abouttit3'); ?></h3>
                    <p>
                        <?php echo ale_get_meta('aboutdesc3'); ?>
                    </p>
                </div>
            </div>

        </div>
    </section>
<?php } if(ale_get_meta('tweetonhome')!=='off'){ ?>
    <section class="twitter" data-type="background" <?php if(ale_get_meta('tweetbg')){ echo 'style="background-image: url('.ale_get_meta('tweetbg').');"'; } ?>>
        <div class="center cf">
            <div class="c-left float-left">
                <div class="twitter-logo"></div>
            </div>
            <div class="c-right float-right">
                <div class="twit">
                    <div class="name">@<?php echo ale_get_meta('tweetlogin'); ?></div>
                    <div class="tweetbox cf">
                        <?php //Get the last Tweet. Using the Recent Tweets Widget
                        if (class_exists('tp_widget_recent_tweets')) {
                            $recent_tweets = new tp_widget_recent_tweets();

                            $args = array(
                                'before_widget' => '',
                                'after_widget' => '',
                                'before_title' => '',
                                'after_title' => '',
                            );
                            $instance = array(
                                'title'=>'',
                                'consumerkey'=> ale_get_meta('consumerkey'),
                                'consumersecret'=> ale_get_meta('consumersecret'),
                                'accesstoken'=> ale_get_meta('accesstoken'),
                                'accesstokensecret'=> ale_get_meta('accesstokensecret'),
                                'cachetime'=> ale_get_meta('cachetime'),
                                'username'=> ale_get_meta('tweetlogin'),
                                'tweetstoshow'=> ale_get_meta('tweetstoshow'),
                                'excludereplies'=>'true',
                            );
                            echo $recent_tweets->widget($args, $instance);
                        } else { echo 'Install the "Recent Tweets Widget", please.';} ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php } if(ale_get_meta('recentblogonhome')!=='off'){ ?>
    <section class="blog">
        <div class="center">
            <h2 class="boxtitle">
                <?php echo ale_get_meta('bloghometitle'); ?>
                <?php if(ale_get_meta('blogperpage')>8 or ale_get_meta('blogperpage') == -1) { ?>
                    <span class="prev"></span><span class="next"></span>
                <?php } ?>
            </h2>
            <div class="blog-slider cf">
                <ul class="slides">
                    <?php
                    if(ale_get_meta('blogperpage')) {$blog_item_pp = "&posts_per_page=".ale_get_meta('blogperpage');} else {$blog_item_pp="";}
                    query_posts('&post_type=post'.$blog_item_pp);
                    $count_blog = 1; if (have_posts()) : while (have_posts()) : the_post();
                        if ($count_blog%8 == 1){echo '<li class="cf">';} ?>
                        <div class="col-3">
                            <a href="<?php the_permalink(); ?>">
                                <?php if(get_the_post_thumbnail($post->ID, 'post-thumba')){
                                        echo get_the_post_thumbnail($post->ID, 'post-thumba');
                                } else { ?>
                                    <img src="http://placehold.it/225x161&text=No Image" alt="<?php the_title(); ?>"/>
                                <?php } ?>
                                <div class="hover">
                                    <h3><?php the_title(); ?></h3>
                                    <p><?php echo get_the_date(); ?>  •  <?php foreach((get_the_category()) as $category) { echo $category->cat_name . ' ';} ?></p>
                                </div>
                            </a>
                        </div>
                        <?php if($count_blog % 8 == 0) {echo '</li>';} $count_blog++;
                    endwhile; else: ale_part('notfound'); endif; wp_reset_query(); ?>
                </ul>
            </div>
        </div>
    </section>
<?php } if(ale_get_meta('subscribeonhome')!=='off'){ ?>
    <section class="subscribe" data-type="background" <?php if(ale_get_meta('subscribebg')){ echo 'style="background-image: url('.ale_get_meta('subscribebg').');"'; } ?>>
        <div class="center cf">

            <div class="col-6">
                <h3><?php _e('<span>Subscribe</span> to our newslater','aletheme'); ?>:</h3>
            </div>
            <div class="col-6">
                <?php if(ale_get_meta('subsribeinstall')=='yes'){ echo do_shortcode('[mc4wp_form]'); } else { echo '<form><div class="mc4wp-alert">Install the subscribe plugin.</div></form>'; } ?>
            </div>

        </div>
    </section>
<?php } if(ale_get_meta('teamonhome')!=='off'){ ?>
    <section class="team">
        <div class="center cf">

            <div class="col-2">
                <span class="our"><?php _e('Our','aletheme'); ?></span>
                <span class="team"><?php _e('Team','aletheme'); ?></span>

                <?php if(ale_get_meta('teamitems')>4 or ale_get_meta('teamitems') == -1) { ?>
                    <span class="prev"></span>
                    <span class="next"></span>
                <?php } ?>
            </div>

            <div class="col-10">
                <div class="team-slider">
                    <ul class="slides">
                        <?php
                        if(ale_get_meta('teamitems')) {$team_item_pp = "&posts_per_page=".ale_get_meta('teamitems');} else {$team_item_pp="";}
                        query_posts('&post_type=team'.$team_item_pp);
                            $count_team = 1; if (have_posts()) : while (have_posts()) : the_post();
                            if ($count_team%4 == 1){echo '<li class="cf">';} ?>
                                <div class="col-3">
                                    <div class="a">
                                        <?php if(ale_get_meta('teamphoto')){ ?><img src="<?php echo ale_get_meta('teamphoto'); ?>" width="176" height="189" alt="<?php the_title(); ?>"/><?php } ?>
                                        <span class="hover">
                                            <?php if(ale_get_meta('twilink')){ ?><a class="tw" target="_blank" href="<?php echo ale_get_meta('twilink'); ?>"></a><?php } ?>
                                            <?php if(ale_get_meta('fblink')){ ?><a class="fa" target="_blank" href="<?php echo ale_get_meta('fblink'); ?>"></a><?php } ?>
                                            <?php if(ale_get_meta('goglink')){ ?><a class="go" target="_blank" href="<?php echo ale_get_meta('goglink'); ?>"></a><?php } ?>
                                            <?php if(ale_get_meta('instalink')){ ?><a class="in" target="_blank" href="<?php echo ale_get_meta('instalink'); ?>"></a><?php } ?>
                                            <?php if(ale_get_meta('presonalemail')){ ?><a class="ms" target="_blank" href="mailto:<?php echo ale_get_meta('presonalemail'); ?>"></a><?php } ?>
                                        </span>
                                    </div>
                                    <h3><?php the_title(); ?></h3>
                                    <p><?php echo ale_get_meta('teamprof'); ?></p>
                                </div>
                            <?php if($count_team % 4 == 0) {echo '</li>';} $count_team++;
                            endwhile; else: ale_part('notfound'); endif; wp_reset_query(); ?>
                    </ul>
                </div>
            </div>
        </div>
    </section>
<?php } if(ale_get_meta('testimonialsonhome')!=='off'){ ?>
    <section class="testimonials" data-type="background" <?php if(ale_get_meta('testimonialbg')){ echo 'style="background-image: url('.ale_get_meta('testimonialbg').');"'; } ?>>
        <div class="center cf">
            <h2 class="boxtitle"><?php echo ale_get_meta('testimonialtit'); ?>
                <?php if(ale_get_meta('testimonialitems')>3 or ale_get_meta('testimonialitems') == -1) { ?>
                <span class="prev"></span><span class="next"></span>
                <?php } ?>
            </h2>

            <div class="testimonials-slider">
                <ul class="slides">
                    <?php
                    if(ale_get_meta('testimonialitems')) {$testimonialitems_pp = "&posts_per_page=".ale_get_meta('testimonialitems');} else {$testimonialitems_pp="";}
                    query_posts('&post_type=testimonials'.$testimonialitems_pp);
                    $count_testimonial = 1; if (have_posts()) : while (have_posts()) : the_post();
                        if ($count_testimonial%3 == 1){echo '<li class="cf">';} ?>
                        <div class="col-4">
                            <img src="<?php echo ale_get_meta('testimonialphoto'); ?>" width="56" height="56" alt="<?php the_title(); ?>"/>
                            <h3><?php the_title(); ?> <span>|</span> <span><?php echo get_the_date(); ?></span></h3>
                            <div class="line"></div>
                            <p>
                                <?php echo ale_get_meta('testimonialshort'); ?>
                            </p>
                        </div>
                        <?php if($count_testimonial % 3 == 0) {echo '</li>';} $count_testimonial++;
                    endwhile; else: ale_part('notfound'); endif; wp_reset_query(); ?>
                </ul>
            </div>

        </div>
    </section>
<?php } if(ale_get_meta('galleryonhome')!=='off'){ ?>
    <section class="gallery">
        <div class="center">
            <h2 class="boxtitle"><?php echo ale_get_meta('galtit'); ?>
                <?php if(ale_get_meta('galleryitems')>8 or ale_get_meta('galleryitems') == -1) { ?>
                <span class="prev"></span><span class="next"></span>
                <?php } ?>
            </h2>

            <div class="filters">
                <a class="active" href="#">All</a>
                <?php $args = array(
                    'type'                     => 'gallery',
                    'child_of'                 => 0,
                    'parent'                   => '',
                    'orderby'                  => 'name',
                    'order'                    => 'ASC',
                    'hide_empty'               => 1,
                    'hierarchical'             => 1,
                    'exclude'                  => '',
                    'include'                  => '',
                    'number'                   => '',
                    'taxonomy'                 => 'gallery-category',
                    'pad_counts'               => false );

                $categories = get_categories( $args );

                foreach($categories as $cat){
                    echo '<a href="'.home_url().'/gallery-category/'.$cat->slug.'">'.$cat->name.'</a>';
                }
                ?>
            </div>

            <div class="gallery-slider cf">
                <ul class="slides">
                    <?php
                    if(ale_get_meta('galleryitems')) {$galleryitems_pp = "&posts_per_page=".ale_get_meta('galleryitems');} else {$galleryitems_pp="";}
                    query_posts('&post_type=gallery'.$galleryitems_pp);
                    $count_gallery = 1; if (have_posts()) : while (have_posts()) : the_post();
                        $terms = get_the_terms($post->id, 'gallery-category');
                        if ($count_gallery%8 == 1){echo '<li>';} ?>
                        <div class="col-3">
                            <a href="<?php the_permalink(); ?>">
                                <?php if(get_the_post_thumbnail($post->ID, 'gallery-thumba')){
                                    echo get_the_post_thumbnail($post->ID, 'gallery-thumba');
                                } else { ?>
                                    <img src="http://placehold.it/225x161&text=No Image" alt="<?php the_title(); ?>"/>
                                <?php } ?>
                                <div class="hover">
                                    <h3><?php the_title(); ?></h3>
                                    <p><?php foreach($terms as $term){if($term->name){ echo $term->name; }} ?></p>
                                </div>
                            </a>
                        </div>
                        <?php if($count_gallery % 8 == 0) {echo '</li>';} $count_gallery++;
                    endwhile; else: ale_part('notfound'); endif; wp_reset_query(); ?>
                </ul>
            </div>
        </div>
    </section>
<?php } if(ale_get_meta('skillsonhome')!=='off'){ ?>
    <section class="skills" data-type="background" <?php if(ale_get_meta('skillsbg')){ echo 'style="background-image: url('.ale_get_meta('skillsbg').');"'; } ?>>
        <div class="center cf">
            <h2 class="boxtitle"><?php echo ale_get_meta('skillstit'); ?></h2>

            <div class="items cf">
                <?php if(ale_get_meta('skillstit1')){ ?>
                    <div class="col-6">
                        <h3><?php echo ale_get_meta('skillstit1'); ?> <span><?php echo ale_get_meta('skillscount1'); ?> %</span></h3>
                        <div class="bar">
                            <div class="progress" style="width: <?php echo ale_get_meta('skillscount1'); ?>%;"></div>
                        </div>
                    </div>
                <?php } if(ale_get_meta('skillstit2')){ ?>
                    <div class="col-6">
                        <h3><?php echo ale_get_meta('skillstit2'); ?> <span><?php echo ale_get_meta('skillscount2'); ?> %</span></h3>
                        <div class="bar">
                            <div class="progress" style="width: <?php echo ale_get_meta('skillscount2'); ?>%;"></div>
                        </div>
                    </div>
                <?php } if(ale_get_meta('skillstit3')){ ?>
                    <div class="col-6">
                        <h3><?php echo ale_get_meta('skillstit3'); ?> <span><?php echo ale_get_meta('skillscount3'); ?> %</span></h3>
                        <div class="bar">
                            <div class="progress" style="width: <?php echo ale_get_meta('skillscount3'); ?>%;"></div>
                        </div>
                    </div>
                <?php } if(ale_get_meta('skillstit4')){ ?>
                    <div class="col-6">
                        <h3><?php echo ale_get_meta('skillstit4'); ?> <span><?php echo ale_get_meta('skillscount4'); ?> %</span></h3>
                        <div class="bar">
                            <div class="progress" style="width: <?php echo ale_get_meta('skillscount4'); ?>%;"></div>
                        </div>
                    </div>
                <?php } if(ale_get_meta('skillstit5')){ ?>
                    <div class="col-6">
                        <h3><?php echo ale_get_meta('skillstit5'); ?> <span><?php echo ale_get_meta('skillscount5'); ?> %</span></h3>
                        <div class="bar">
                            <div class="progress" style="width: <?php echo ale_get_meta('skillscount5'); ?>%;"></div>
                        </div>
                    </div>
                <?php } if(ale_get_meta('skillstit6')){ ?>
                    <div class="col-6">
                        <h3><?php echo ale_get_meta('skillstit6'); ?> <span><?php echo ale_get_meta('skillscount6'); ?> %</span></h3>
                        <div class="bar">
                            <div class="progress" style="width: <?php echo ale_get_meta('skillscount6'); ?>%;"></div>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
    </section>
    <div class="skills-dots"></div>
<?php } if(ale_get_meta('clientsonhome')!=='off'){ ?>
    <section class="clients">
        <div class="center">
            <h2 class="boxtitle"><?php echo ale_get_meta('clienttit'); ?><span class="prev"></span><span class="next"></span></h2>

            <div class="clients-slider cf">
                <ul class="slides">
                    <!-- ## ## ## -->
                    <li>
                        <?php if(ale_get_meta('clientphoto1')){ ?>
                            <div class="col-20">
                                <a href="<?php echo ale_get_meta('clientlink1'); ?>" target="_blank"> <img src="<?php echo ale_get_meta('clientphoto1'); ?>" alt="<?php echo ale_get_meta('clienttit'); ?>"/> </a>
                            </div>
                        <?php } if(ale_get_meta('clientphoto2')){ ?>
                            <div class="col-20">
                                <a href="<?php echo ale_get_meta('clientlink2'); ?>" target="_blank"> <img src="<?php echo ale_get_meta('clientphoto2'); ?>" alt="<?php echo ale_get_meta('clienttit'); ?>"/> </a>
                            </div>
                        <?php } if(ale_get_meta('clientphoto3')){ ?>
                            <div class="col-20">
                                <a href="<?php echo ale_get_meta('clientlink3'); ?>" target="_blank"> <img src="<?php echo ale_get_meta('clientphoto3'); ?>" alt="<?php echo ale_get_meta('clienttit'); ?>"/> </a>
                            </div>
                        <?php } if(ale_get_meta('clientphoto4')){ ?>
                            <div class="col-20">
                                <a href="<?php echo ale_get_meta('clientlink4'); ?>" target="_blank"> <img src="<?php echo ale_get_meta('clientphoto4'); ?>" alt="<?php echo ale_get_meta('clienttit'); ?>"/> </a>
                            </div>
                        <?php } if(ale_get_meta('clientphoto5')){ ?>
                            <div class="col-20">
                                <a href="<?php echo ale_get_meta('clientlink5'); ?>" target="_blank"> <img src="<?php echo ale_get_meta('clientphoto5'); ?>" alt="<?php echo ale_get_meta('clienttit'); ?>"/> </a>
                            </div>
                        <?php } ?>
                    </li>

                    <li>
                        <?php if(ale_get_meta('clientphoto6')){ ?>
                            <div class="col-20">
                                <a href="<?php echo ale_get_meta('clientlink6'); ?>" target="_blank"> <img src="<?php echo ale_get_meta('clientphoto6'); ?>" alt="<?php echo ale_get_meta('clienttit'); ?>"/> </a>
                            </div>
                        <?php } if(ale_get_meta('clientphoto7')){ ?>
                            <div class="col-20">
                                <a href="<?php echo ale_get_meta('clientlink7'); ?>" target="_blank"> <img src="<?php echo ale_get_meta('clientphoto7'); ?>" alt="<?php echo ale_get_meta('clienttit'); ?>"/> </a>
                            </div>
                        <?php } if(ale_get_meta('clientphoto8')){ ?>
                            <div class="col-20">
                                <a href="<?php echo ale_get_meta('clientlink8'); ?>" target="_blank"> <img src="<?php echo ale_get_meta('clientphoto8'); ?>" alt="<?php echo ale_get_meta('clienttit'); ?>"/> </a>
                            </div>
                        <?php } if(ale_get_meta('clientphoto9')){ ?>
                            <div class="col-20">
                                <a href="<?php echo ale_get_meta('clientlink9'); ?>" target="_blank"> <img src="<?php echo ale_get_meta('clientphoto9'); ?>" alt="<?php echo ale_get_meta('clienttit'); ?>"/> </a>
                            </div>
                        <?php } if(ale_get_meta('clientphoto10')){ ?>
                            <div class="col-20">
                                <a href="<?php echo ale_get_meta('clientlink10'); ?>" target="_blank"> <img src="<?php echo ale_get_meta('clientphoto10'); ?>" alt="<?php echo ale_get_meta('clienttit'); ?>"/> </a>
                            </div>
                        <?php } ?>
                    </li>
                </ul>
            </div>
        </div>
    </section>
<?php } if(ale_get_meta('contactonhome')!=='off'){ ?>
    <a name="success" href="#success"></a>
    <section class="contacts" data-type="background" <?php if(ale_get_meta('contactbg')){ echo 'style="background-image: url('.ale_get_meta('contactbg').');"'; } ?>>
        <div class="center cf">
            <div class="dots"></div>
            <h3><?php echo ale_get_meta('contacttit'); ?></h3>

            <form method="post" id="contact-form" action="<?php the_permalink();?>" class="cf">
                <?php if (isset($_GET['success'])) : ?>
                    <p class="success"><?php _e('Thank you for your message!', 'aletheme')?></p>
                <?php endif; ?>
                <?php if (isset($error) && isset($error['msg'])) : ?>
                    <p class="error"><?php echo $error['msg']?></p>
                <?php endif; ?>
                <input class="name" name="contact[name]" type="text" placeholder="<?php _e('Name','aletheme'); ?>*" value="<?php echo isset($_POST['contact']['name']) ? $_POST['contact']['name'] : ''?>" required="required" />
                <input class="email" name="contact[email]" type="email" placeholder="<?php _e('E-mail','aletheme'); ?>*" value="<?php echo isset($_POST['contact']['email']) ? $_POST['contact']['email'] : ''?>" required="required" />
                <textarea class="message" name="contact[message]"  placeholder="<?php _e('Message','aletheme'); ?>*" required="required" ></textarea>
                <input class="submit" type="submit" value="<?php _e('Send Message','aletheme');?>"/>
                <?php wp_nonce_field() ?>
            </form>

            <div class="cont cf">
                <div class="col-4">
                    <p class="phone"><?php _e('Phone','aletheme'); ?>:</p>
                    <h4 class="phone"><?php echo ale_get_meta('contactphone'); ?></h4>
                </div>
                <div class="col-4">
                    <p class="adress"><?php _e('Address','aletheme'); ?>:</p>
                    <h4><?php echo ale_get_meta('contactaddress'); ?></h4>
                </div>
                <div class="col-4">
                    <p class="email"><?php _e('E-mail','aletheme'); ?>:</p>
                    <h4><?php echo ale_get_meta('contactemail'); ?></h4>
                </div>
            </div>

        </div>
    </section>

    <?php if(ale_get_meta('contactmap')){ ?>
        <section id="map">
            <div class="close"></div>
                <div id="iframe" class="grayscale"><?php echo do_shortcode('[ale_map address="'.ale_get_meta('contactmap').'" width="100%" height="320px"]'); ?></div>
            <div class="open"></div>
        </section>
    <?php } ?>
<?php }

get_footer(); ?>
